Subject: Re: Question about input
From: Fred Streitz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 19 Nov 1996 17:20:01 -0600

Hi Susan and Matt,

OK - sorry it has taken so long to get some answers, but here
they are...

First, the h(i,j) ARE the three unit cell vectors: h(1,1),h(1,2),h(1,3)
are the x,y,z components of the first vector, etc...

The output is pretty confusing. (It has been hacked many times - I expect
that you will change it again...)

The primary output is the zoutput file. After some header info, the
basic output is as follows:

      write (1,10000) time,energy,potential,rk,pressure,temp,zchg(natom)

where

time = femtoseconds 
energy = total energy  (eV)
potential = total potential energy (eV)
rk = total kinetic energy (eV)  NOTE: E = V + KE, unless something is messed up
pressure = (TPa = 1x10^12 Pa) note that since I don't use the Parinello/Rahman
           hamiltonian at the moment, the pressure never goes away - there is 
no
           mechanism for the entire system to expand or contract. (I.e., the
           h(i,j) never change)
temp = (K) calculated from motion of the atoms
zchg(natom) = charge of the last atom (the "natom_th" atom)

Some of the other files are useful if you're interested in the pressure tensor
(zstrain - lists time and the pressure tensor in Voight notation:
P1,P2,P3,P4,P5,P6 = Pxx,Pyy,Pzz,Pyz,Pzx,Pxy) ( note: it used to list the strain
tensor, hence the name...)

zpull has useful info if you're ripping the thing apart. Not written otherwise.

zmod is a dinosaur track - it is always blank at the moment. (used to contain 
the tensor of elastic moduli..)

Every ilist steps an xyz file is written, which is in XMOL xyz format:

natoms
(your comments here - I write the time here "time= ?.???" )
atomic#  x  y  z  charge  vel_x  vel_y  vel_z
.
.
.
.

This way I can use xmol to check things, or use my AVS utilities which read
xyz files.  

The file xyz.dat is special: it is a continuous concatenation of the xyz files,
so you can quickly animate your results using xmol's animate feature. Note:
when you start a run over, it is not overwritten - it just keeps growing.

The restart file is the last known position, in indata file format, so that
(you guessed it) you can restart a run which crashed. The format (which has
also evolved over time) is:

#  (optionally, followed by a number which will be taken as time zero)
NDIM (3 or 2?)
h11 h21 h32
h12 h22 h32
h13 h23 h33
Atsymbol x  y  z [optionally, charge, vel_x, vel_y, vel_z)
.
.
.

So, except for the specification of the h matrix (and the lack of
specification of the natoms), it is identically an xyz file.

Charge and velocity are zeroed at the outset in the program if they are not 
input.
I hope this helps. Drop me a note if you need more...

Fred

---------------------------------------------------------------------
Frederick H. Streitz                            Phone: (334) 844-2943
Physics Department                                FAX: (334) 844-4613
Auburn University                  
Auburn, AL 36849-5311               email: [email-masked]